Subject: bug#1169: 23.0.60; (substitute-command-keys "\\{...}") adds extra newline

From: "Drew Adams" <[email-masked]>
Date: Thu, 7 Jul 2011 10:50:22 -0700

> >> I'd rather get rid of the ^L characters, though.
> >> Do they have any purpose any more?
> >
> > No, no, no.
> > Yes, of course they serve a purpose - more than one purpose.
> > See `(emacs) Pages', to start with.
> 
> I know what they do, but is there any point in actually inserting
> something as visually distracting as ^L into the buffer people are
> looking at?
> 
> If one, for instance, just made the ^L invisible, it'd look nicer, and
> there would be minimal code change.
> 
> A better solution would probably to get rid of it altogether and
> instead insert a `form-feed' text property that the `C-x [' (and friends)
> command would use instead.

1. If you want to propose an Emacs design change, then please propose it to
emacs-devel, for discussion.  This is not the place.

2. The presence and purpose of ^L are one thing.
The appearance is something else.

Wrt #2, I use (and I proposed to Emacs Dev) pp-c-l.el, which lets users
customize the appearance of a page break to virtually anything they like.

http://www.emacswiki.org/emacs/download/pp-c-l.el - code

http://www.emacswiki.org/emacs/PrettyControlL - description